BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
BMA.EHR.Infrastructure.Persistence.LeaveDbContext Class Reference
Inheritance diagram for BMA.EHR.Infrastructure.Persistence.LeaveDbContext:

## Public Member Functions
| LeaveDbContext (DbContextOptions< LeaveDbContext > options)
Task< int > | SaveChangesAsync ()
void | Attatch< T > (T entity)
Public Member Functions inherited from BMA.EHR.Application.Common.Interfaces.ILeaveDbContext
DbSet< T > | Set< T > ()

## Properties
DbSet< DutyTime > | DutyTimes`[get, set]`
DbSet< UserTimeStamp > | UserTimeStamps`[get, set]`
DbSet< ProcessUserTimeStamp > | ProcessUserTimeStamps`[get, set]`
DbSet< UserDutyTime > | UserDutyTimes`[get, set]`
DbSet< AdditionalCheckRequest > | AdditionalCheckRequests`[get, set]`
DbSet< LeaveType > | LeaveTypes`[get, set]`
DbSet< LeaveRequest > | LeaveRequests`[get, set]`

## Constructor & Destructor Documentation

## ◆ LeaveDbContext()

BMA.EHR.Infrastructure.Persistence.LeaveDbContext.LeaveDbContext | ( | DbContextOptions< LeaveDbContext > | options | ) |
| inline

## Member Function Documentation

## ◆ Attatch< T >()

void BMA.EHR.Infrastructure.Persistence.LeaveDbContext.Attatch< T > | ( | T | entity | ) |
| inline

Implements BMA.EHR.Application.Common.Interfaces.ILeaveDbContext.

Type Constraints

  T | : | class |

## ◆ SaveChangesAsync()

Task< int > BMA.EHR.Infrastructure.Persistence.LeaveDbContext.SaveChangesAsync | ( |  | ) |
| inline

Implements BMA.EHR.Application.Common.Interfaces.ILeaveDbContext.

## Property Documentation

## ◆ AdditionalCheckRequests

DbSet<AdditionalCheckRequest> BMA.EHR.Infrastructure.Persistence.LeaveDbContext.AdditionalCheckRequests
| get set

## ◆ DutyTimes

DbSet<DutyTime> BMA.EHR.Infrastructure.Persistence.LeaveDbContext.DutyTimes
| get set

## ◆ LeaveRequests

DbSet<LeaveRequest> BMA.EHR.Infrastructure.Persistence.LeaveDbContext.LeaveRequests
| get set

## ◆ LeaveTypes

DbSet<LeaveType> BMA.EHR.Infrastructure.Persistence.LeaveDbContext.LeaveTypes
| get set

## ◆ ProcessUserTimeStamps

DbSet<ProcessUserTimeStamp> BMA.EHR.Infrastructure.Persistence.LeaveDbContext.ProcessUserTimeStamps
| get set

## ◆ UserDutyTimes

DbSet<UserDutyTime> BMA.EHR.Infrastructure.Persistence.LeaveDbContext.UserDutyTimes
| get set

## ◆ UserTimeStamps

DbSet<UserTimeStamp> BMA.EHR.Infrastructure.Persistence.LeaveDbContext.UserTimeStamps
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Infrastructure/Persistence/LeaveDbContext.cs